Robot Simulator of the Robotics Group for Self-Organization of Control: templatevalueanalysation.h File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- File List
- File Members

# templatevalueanalysation.h File Reference

`#include <vector>`
`#include <list>`

Include dependency graph for templatevalueanalysation.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | TemplateValueAnalysation
| This template class give you some methods to calculate some statistical values like average, min, max, upper quartil, lower quartil and many more. More...
struct | TemplateValueAnalysation::TYPE_SAVE
| help structur for sorting the set. More...
## Defines
#define | ANALYSATION_CONTEXT TemplateValueAnalysation<type,zero,lower,higher,doubleDiv,doubleMul,add,sub,mul,div>
#define | DOUBLE_ANALYSATION_CONTEXT TemplateValueAnalysation<double,defaultZero>
## Functions
template<class type>
bool | defaultLower (const type &a, const type &b)
| default function for "lower as" operation.
template<class type>
type | defaultDoubleDiv (const type &a, const double &b)
| default function for divide by a double value.
template<class type>
type | defaultDoubleMul (const type &a, const double &b)
| default function for mul.
template<class type>
bool | defaultHigher (const type &a, const type &b)
| default function for "higher than" operation.
template<class type>
type | defaultAdd (const type &a, const type &b)
| default function for add two values
template<class type>
type | defaultSub (const type &a, const type &b)
| default function for sub.
template<class type>
type | defaultMul (const type &a, const type &b)
| default function for mul.
template<class type>
type | defaultDiv (const type &a, const type &b)
| default function for div.
double | defaultZero ()
| default function for zero double value

## Define Documentation

#define ANALYSATION_CONTEXT TemplateValueAnalysation<type,zero,lower,higher,doubleDiv,doubleMul,add,sub,mul,div>

#define DOUBLE_ANALYSATION_CONTEXT TemplateValueAnalysation<double,defaultZero>

## Function Documentation

type defaultAdd | ( | const type & | a,
|  | const type & | b |
| ) |  |  |

default function for add two values

Parameters:

  | a | operator a
  | b | operator b

Returns:
  the result of the add.

type defaultDiv | ( | const type & | a,
|  | const type & | b |
| ) |  |  |

default function for div.

of two values

Parameters:

  | a | operator a
  | b | operator b

Returns:
  the result of the div.

type defaultDoubleDiv | ( | const type & | a,
|  | const double & | b |
| ) |  |  |

default function for divide by a double value.

Parameters:

  | a | operator a
  | b | (double) the double value

Returns:
  the result of the division

type defaultDoubleMul | ( | const type & | a,
|  | const double & | b |
| ) |  |  |

default function for mul.

with a double value.

Parameters:

  | a | operator a
  | b | (double) the double value

Returns:
  the result of the mul.

bool defaultHigher | ( | const type & | a,
|  | const type & | b |
| ) |  |  |

default function for "higher than" operation.

Parameters:

  | a | operator a
  | b | operator b

Returns:
  (bool) true if a higher than b

bool defaultLower | ( | const type & | a,
|  | const type & | b |
| ) |  |  |

default function for "lower as" operation.

Parameters:

  | a | operator a
  | b | operator b

Returns:
  (bool) true if a lower than b

type defaultMul | ( | const type & | a,
|  | const type & | b |
| ) |  |  |

default function for mul.

of two values

Parameters:

  | a | operator a
  | b | operator b

Returns:
  the result of the mul.

type defaultSub | ( | const type & | a,
|  | const type & | b |
| ) |  |  |

default function for sub.

two values

Parameters:

  | a | operator a
  | b | operator b

Returns:
  the result of the sub.

double defaultZero | ( |  | ) |

default function for zero double value

Returns:
  (double) 0.0